# Uses of Interface
org.eclipse.net4j.util.event.IEvent

Packages that use IEvent
Package
Description
org.eclipse.net4j.util.cache
A generic caching and memory monitoring framework.
org.eclipse.net4j.util.collection
Additional collection-like interfaces and classes.
org.eclipse.net4j.util.container
A framework of notifying collections and wiring containers.
org.eclipse.net4j.util.event
A framework for sending of and listening to events.
org.eclipse.net4j.util.fsm
A framework for finite state machines.
org.eclipse.net4j.util.lifecycle
A framework for components with a simple lifecycle.
org.eclipse.net4j.util.om.log
Interfaces and classes for platform-independent logging.
org.eclipse.net4j.util.om.monitor
Interfaces and classes for platform-independent progress monitoring.
org.eclipse.net4j.util.om.pref
Interfaces and classes for platform-independent preference management.
org.eclipse.net4j.util.options
A framework for option containers that fire change events.
org.eclipse.net4j.util.ui
Reusable UI components.
org.eclipse.net4j.util.ui.actions
Reusable actions and action delegates.
org.eclipse.net4j.util.ui.container
An element wizard framework for managed containers.
org.eclipse.net4j.util.ui.views
Helpers for Eclipse view parts.
org.eclipse.net4j.util.ui.widgets
A library with reusable widgets.

## Uses of IEvent in org.eclipse.net4j.util.cache

Subinterfaces of IEvent in org.eclipse.net4j.util.cache
Modifier and Type
Interface
Description
`interface`
`ICacheMonitorEvent`

## Uses of IEvent in org.eclipse.net4j.util.collection

Subinterfaces of IEvent in org.eclipse.net4j.util.collection
Modifier and Type
Interface
Description
`interface`
`IHistoryChangeEvent`

## Uses of IEvent in org.eclipse.net4j.util.container

Subinterfaces of IEvent in org.eclipse.net4j.util.container
Modifier and Type
Interface
Description
`interface`
`IContainerEvent<E>`
An `event` fired from a `container` when its elements have changed.
Classes in org.eclipse.net4j.util.container that implement IEvent
Modifier and Type
Class
Description
`class`
`ContainerEvent<E>`
A default `container event` implementation.
`class`
`SingleDeltaContainerEvent<E>`
A `container event` with a single element `delta`.
Methods in org.eclipse.net4j.util.container with parameters of type IEvent
Modifier and Type
Method
Description
`void`
Container.`fireEvent(IEvent event)`
`void`
ManagedContainer.`fireEvent(IEvent event)`
`final void`
ContainerEventAdapter.`notifyEvent(IEvent event)`
`void`
LifecycleEventConverter.`notifyEvent(IEvent event)`
`void`
SelfAttachingContainerListener.`notifyEvent(IEvent event)`
`protected void`
ContainerEventAdapter.`notifyOtherEvent(IEvent event)`
`protected void`
SelfAttachingContainerListener.Delegating.`notifyOtherEvent(IEvent event)`
`protected void`
SelfAttachingContainerListener.`notifyOtherEvent(IEvent event)`

## Uses of IEvent in org.eclipse.net4j.util.event

Classes in org.eclipse.net4j.util.event that implement IEvent
Modifier and Type
Class
Description
`class`
`Event`
A default implementation of an `event`.
`class`
`FinishedEvent`
An `IEvent` that is fired after a method has called a handler multiple times.
`final class`
`ThrowableEvent`
An `IEvent` typically fired from `notifiers` that execute operations in the background.
`class`
`ValueEvent<VALUE>`
An `IEvent` fired from `value notifiers` after value changes.
Fields in org.eclipse.net4j.util.event declared as IEvent
Modifier and Type
Field
Description
`static final IEvent`
FinishedEvent.`INSTANCE`
Methods in org.eclipse.net4j.util.event with type parameters of type IEvent
Modifier and Type
Method
Description
`static <E extends IEvent>
AutoCloseable`
EventUtil.`addListener(Object notifier, Class<E> eventType, Consumer<E> eventConsumer)`
Methods in org.eclipse.net4j.util.event with parameters of type IEvent
Modifier and Type
Method
Description
`void`
Notifier.`fireEvent(IEvent event)`
`void`
Notifier.`fireEvent(IEvent event, IListener[] listeners)`
`void`
EventPrinter.`notifyEvent(IEvent event)`
`void`
IListener.`notifyEvent(IEvent event)`
`final void`
ThrowableEventAdapter.`notifyEvent(IEvent event)`
`protected void`
ThrowableEventAdapter.`notifyOtherEvent(IEvent event)`

## Uses of IEvent in org.eclipse.net4j.util.fsm

Classes in org.eclipse.net4j.util.fsm that implement IEvent
Modifier and Type
Class
Description
`class`
`FiniteStateMachine.StateChangedEvent`

## Uses of IEvent in org.eclipse.net4j.util.lifecycle

Subinterfaces of IEvent in org.eclipse.net4j.util.lifecycle
Modifier and Type
Interface
Description
`interface`
`ILifecycleEvent`
An `event` fired from an entity with a `lifecycle` when its lifecycle `state` has changed.
Classes in org.eclipse.net4j.util.lifecycle that implement IEvent
Modifier and Type
Class
Description
`class`
`LifecycleEvent`
A default implementation of a lifecycle `event`.
Methods in org.eclipse.net4j.util.lifecycle with parameters of type IEvent
Modifier and Type
Method
Description
`protected void`
LifecycleHook.`delegateEvent(T delegate, IEvent event)`
`final void`
LifecycleEventAdapter.`notifyEvent(IEvent event)`
`protected void`
LifecycleEventAdapter.`notifyOtherEvent(IEvent event)`

## Uses of IEvent in org.eclipse.net4j.util.om.log

Classes in org.eclipse.net4j.util.om.log that implement IEvent
Modifier and Type
Class
Description
`static final class`
`RollingLog.PropertiesEvent`
`static final class`
`RollingLog.RecoveryEvent`
`static class`
`RollingLog.RollingLogEvent`
`static final class`
`RollingLog.SplitEvent`

## Uses of IEvent in org.eclipse.net4j.util.om.monitor

Classes in org.eclipse.net4j.util.om.monitor that implement IEvent
Modifier and Type
Class
Description
`static class`
`NotifyingMonitor.ProgressEvent`

## Uses of IEvent in org.eclipse.net4j.util.om.pref

Subinterfaces of IEvent in org.eclipse.net4j.util.om.pref
Modifier and Type
Interface
Description
`interface`
`OMPreferencesChangeEvent<T>`
An `event` fired from a `preferences` object when a `preference` value has changed.

## Uses of IEvent in org.eclipse.net4j.util.options

Subinterfaces of IEvent in org.eclipse.net4j.util.options
Modifier and Type
Interface
Description
`interface`
`IOptionsEvent`
A generic `event` fired from an `options` object when an option has changed.
Classes in org.eclipse.net4j.util.options that implement IEvent
Modifier and Type
Class
Description
`class`
`OptionsEvent`
The default implementation of an `options event`.

## Uses of IEvent in org.eclipse.net4j.util.ui

Methods in org.eclipse.net4j.util.ui with parameters of type IEvent
Modifier and Type
Method
Description
`void`
StructuredContentProvider.`notifyEvent(IEvent event)`

## Uses of IEvent in org.eclipse.net4j.util.ui.actions

Methods in org.eclipse.net4j.util.ui.actions with parameters of type IEvent
Modifier and Type
Method
Description
`void`
SashLayoutAction.Horizontal.`notifyEvent(IEvent event)`
`void`
SashLayoutAction.Vertical.`notifyEvent(IEvent event)`

## Uses of IEvent in org.eclipse.net4j.util.ui.container

Methods in org.eclipse.net4j.util.ui.container with parameters of type IEvent
Modifier and Type
Method
Description
`void`
ElementWizardComposite.`notifyEvent(IEvent event)`

## Uses of IEvent in org.eclipse.net4j.util.ui.views

Methods in org.eclipse.net4j.util.ui.views with parameters of type IEvent
Modifier and Type
Method
Description
`protected void`
ContainerItemProvider.`handleElementEvent(IEvent event)`
`protected void`
ContainerView.ContainerViewItemProvider.`handleElementEvent(IEvent event)`
`protected void`
ContainerView.`handleElementEvent(IEvent event)`
`void`
ContainerItemProvider.LeafNode.`notifyEvent(IEvent event)`

## Uses of IEvent in org.eclipse.net4j.util.ui.widgets

Classes in org.eclipse.net4j.util.ui.widgets that implement IEvent
Modifier and Type
Class
Description
`class`
`SashComposite.OrientationChangedEvent`